$
$		パス2のコア依存テンプレート（ARM用）
$
$  $Id: core.tf 349 2015-07-25 05:25:27Z ertl-hiro $
$

$
$  有効なCPU例外ハンドラ番号
$
$EXCNO_VALID = { 0, 1, 2, 3, 4, 5 }$

$
$  DEF_EXCで使用できるCPU例外ハンドラ番号
$
$EXCNO_DEFEXC_VALID = { 0, 1, 2, 3, 5 }$

$
$  標準テンプレートファイルのインクルード
$
$INCLUDE "kernel/kernel.tf"$

$
$  割込みハンドラテーブル
$
$FILE "kernel_cfg.c"$
/*$NL$
$SPC$*  Interrupt Handler Table$NL$
$SPC$*/$NL$
$NL$
const FP _kernel_inh_table[TNUM_INHNO] = {$NL$
$JOINEACH inhno INHNO_VALID ",\n"$
	$TAB$$FORMAT("/* 0x%03x */", +inhno)$$SPC$
	$IF LENGTH(INH.INHNO[inhno])$
		(FP)($INH.INTHDR[inhno]$)
	$ELSE$
		(FP)(_kernel_default_int_handler)
	$END$
$END$$NL$
};$NL$
$NL$

$
$  割込み要求ライン設定テーブル
$
$IF USE_INTCFG_TABLE$

$FILE "kernel_cfg.c"$
/*$NL$
$SPC$*  Interrupt Configuration Table$NL$
$SPC$*/$NL$
$NL$
const uint8_t _kernel_intcfg_table[TNUM_INTNO] = {$NL$
$JOINEACH intno INTNO_VALID ",\n"$
	$TAB$$FORMAT("/* 0x%03x */", +intno)$$SPC$
	$IF LENGTH(INT.INTNO[intno])$
		1U
	$ELSE$
		0U
	$END$
$END$$NL$
};$NL$
$NL$
$END$

$
$  CPU例外ハンドラテーブル
$
$FILE "kernel_cfg.c"$
/*$NL$
$SPC$*  CPU Exception Handler Table$NL$
$SPC$*/$NL$
$NL$
const FP _kernel_exc_table[TNUM_EXCNO] = {$NL$
$JOINEACH excno EXCNO_VALID ",\n"$ 
	$TAB$$FORMAT("/* %d */", +excno)$$SPC$
	$IF LENGTH(EXC.EXCNO[excno])$
		(FP)($EXC.EXCHDR[excno]$)
	$ELSE$
		(FP)(_kernel_default_exc_handler)
	$END$
$END$$NL$
};$NL$
$NL$
